2009-07-30  Raja R Harinath  <harinath@hurrynot.org>

	* Makefile ($(build_lib)): Move cyclic dependencies onto this.

2009-05-26  Marek Habersack  <mhabersack@novell.com>

	* System.Design.dll.sources: added
	System.Web.UI.Design.WebControls/ListControlDesigner.cs

2008-07-24  Zoltan Varga  <vargaz@gmail.com>

	* System.Design_test.dll.sources: Fix CRLFs.

2008-07-24  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Design.dll.sources: Added StringValueConverter.cs.
	* System.Design_test.dll.sources: Added StringValueConverterTest.cs.

2007-10-09  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile: in 2.0 there is cyclic dep with Sys.Drawing.Design.dll.

2007-10-09  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Design.dll.sources : more .NET 2.0 types.
	* System.Design_test.dll.sources :
	  added Test/Sys.Win.Forms.Design/MenuCommandsTest.cs

2007-10-05  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Design.dll.sources : more .NET 2.0 types.

2007-10-05  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Design.dll.sources : more .NET 2.0 types.

2007-10-05  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Design.dll.sources : more .NET 2.0 types.

2007-10-02  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Design.dll.sources : more .NET 2.0 types.

2007-10-02  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : added -r:System.Xml.dll
	* System.Design.dll.sources : added couple more of new .NET 2.0 types.

2007-10-01  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Design.dll.sources : more new types:
	  ContentDefinition.cs, ContentDesignerState.cs,
	  ControlLocation.cs, DesignTimeResourceProviderFactory.cs,
	  IControlDesignerTag.cs, IControlDesignerView.cs,
	  IDesignTimeResourceWriter.cs, ViewEvent.cs, ViewEventArgs.cs,
	  ViewEventHandler.cs and WebFormsReferenceManager.cs and
	  WebFormsRootDesigner.cs in Sys.Web.UI.Design.
	  DataSourceGroupCollection.cs, DataSourceProviderService.cs,
	  DataSourceGroup.cs and DesignerDataColumn.cs in Sys.CM.Design.Data.

2007-09-28  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Design.dll.sources : more new types:
	  DataSourceDescriptor.cs, DataSourceDescriptorCollection.cs,
	  DesignerDataConnection.cs in System.ComponentModel.Design.Data,
	  and ClientScriptItem.cs, ClientScriptItemCollection.cs,
	  ConnectionStringEditor.cs, ContainerControlDesigner.cs,
	  DesignerAutoFormat.cs, DesignerAutoFormatCollection.cs,
	  DesignerAutoFormatStyle.cs in System.Web.UI.Design.

2007-09-28  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Design.dll.sources : more new types:
	  IComponentDesignerStateService.cs, MenuCommandsChangedEventArgs.cs,
	  MenuCommandsChangedType.cs, ExceptionCollection.cs,
	  IComponentDesignerDebugService.cs, MenuCommandService.cs,
	  UndoEngine.cs, MenuCommandsChangedEventHandler.cs.

2007-09-28  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Design.dll.sources : more new types:
	  DesignerActionUIService.cs, DesignerCommandSet.cs,
	  DesignerActionUIStateChangeEventArgs.cs,
	  DesignerActionUIStateChangeEventHandler.cs,
	  DesignerActionUIStateChangeType.cs.

2007-09-28  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : removed NO_TEST.
	* System.Design.dll.sources : added DesignerActionService.cs,
	  ComponentActionsType.cs, DesignerActionListsChangedType.cs,
	  DesignerActionListsChangedEventArgs.cs and
	  DesignerActionListsChangedEventHandler.cs.
	* System.Design_test.dll.sources : new.

2007-09-27  Marek Habersack  <mhabersack@novell.com>

	* System.Design.dll.sources: added
	System.Web.UI.Design/ControlDesignerState.cs,
	System.Web.UI.Design/ViewFlags.cs

2007-09-25  Marek Habersack  <mhabersack@novell.com>

	* System.Design.dll.sources: added
	System.Web.UI.Design/TemplateDefinition.cs,
	System.Web.UI.Design/TemplatedEditableDesignerRegion.cs,
	System.Web.UI.Design.WebControls/DataBoundControlDesigner.cs,
	System.Web.UI.Design.WebControls/BaseDataBoundControlDesigner.cs,
	System.Web.UI.Design/IDataBindingSchemaProvider.cs,
	System.Web.UI.Design/IDataSourceDesigner.cs,
	System.Web.UI.Design/DesignerDataSourceView.cs,
	System.Web.UI.Design/TemplateGroupCollection.cs,
	System.Web.UI.Design/DesignerRegionMouseEventArgs.cs

2007-09-25  Marek Habersack  <grendello@gmail.com>

	* System.Design.dll.sources: added
	System.Web.UI.Design.Util/DummyClass.cs

2007-09-13  Marek Habersack  <mhabersack@novell.com>

	* System.Design.dll.sources: added System.Design/DummyClass.cs

2007-08-24  Ivan N. Zlatev <contact@i-nz.net>

	* System.Design.dll.sources: add MultilineStringEditor.cs.

2006-12-19  Chris Toshok  <toshok@ximian.com>

	* System.Design.dll.sources: add DataSourceConverter.cs and
	DataMemberFieldConverter.

2006-12-06  Chris Toshok  <toshok@ximian.com>

	* System.Design.dll.sources: add
	System.Windows.Forms.Design/ImageCollectionEditor.cs

2006-04-28  Peter Dennis Bartok  <pbartok@novell.com> 

	* System.Design.dll.sources: Put back two accidentally deleted lines

2006-04-28  Peter Dennis Bartok  <pbartok@novell.com>

	* System.Design.dll.sources: Added ControlBindingsConverter.cs

2006-03-10  Raja R Harinath  <rharinath@novell.com>

	* System.ComponentModel.Design.Serialization/CodeDomSerializerException.cs:
	Moved new-ish implementation here from System.dll.

2006-01-22  Chris Toshok  <toshok@ximian.com>

	* System.Design.dll.sources: add in all the stubbed/partially
	implemented stuff.

	* Makefile (LIB_MCS_FLAGS): in the 2.0 case include a reference to
	System.Configuration.dll.

2005-06-15  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Design.dll.sources :
	  remove duplicate MonoTODOAttribute.cs

2004-10-26 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* System.Design.dll.sources: added files in
	System.Web.UI.Design.WebControls.

2004-06-11  Gert Driesen <drieseng@users.sourceforge.net>

	* System.Design.dll.sources: added more stub for classes
	in System.Windows.Forms.Design

2004-06-11  Gert Driesen <drieseng@users.sourceforge.net>

	* System.Design.dll.sources: added more stubs for classes
	in System.Diagnostics.Design, System.Messaging.Design and
	System.ServiceProcess.Design

2004-06-11  Gert Driesen <drieseng@users.sourceforge.net>

	* Makefile: added reference to System.Data assembly
	* System.Design.dll.sources: added new stubbed classes

2004-05-16  Gert Driesen (drieseng@users.sourceforge.net)

	* System.Windows.Forms.Design/IMenuEditorService.cs:
	fixed signature

2004-05-16  Gert Driesen (drieseng@users.sourceforge.net)

	* System.Windows.Forms.Design/DocumentDesigner.cs:
	stubbed
	* System.Windows.Forms.Design/ParentControlDesigner.cs:
	stubbed
	* System.Windows.Forms.Design/ScrollableControlDesigner.cs:
	stubbed

2004-05-16  Gert Driesen (drieseng@users.sourceforge.net)
	
	* System.Windows.Forms.Design/ControlDesigner.cs:
	stubbed

2004-05-16  Gert Driesen (drieseng@users.sourceforge.net)

	* System.Windows.Forms.Design/ISelectionUIHandler.cs:
	converted linefeeds to unix

2004-05-16  Gert Driesen (drieseng@users.sourceforge.net)

	* System.Design.dll.sources: added ISelectionUIHandler
	* System.Windows.Forms.Design/ISelectionUIHandler.cs: 
	added
	* System.Windows.Forms.Design/ComponentTray.cs: stubbed

2004-05-15  Gert Driesen (drieseng@users.sourceforge.net)

	* Makefile: add reference to Accessibility assembly, needed
	to check CLS compliance
	* Assembly/AssemblyInfo.cs: System.Design is CLS Compliant

2004-05-15  Gert Driesen (drieseng@users.sourceforge.net)

	* System.Design.dll.sources: remove DataBindingCollection
	* System.Web.UI.Design/DataBindingCollection.cs: removed
	* System.Web.UI.Design/WebControlToolboxItem.cs: fixed
	public API
	* System.Web.UI.Design/UrlBuilderOptions.cs: added Flags
	attribute

2004-05-15  Gert Driesen (drieseng@users.sourceforge.net)

	* System.Design.dll.sources: added IOleDragClient
	* System.ComponentModel.Design/ComponentDesigner.cs: fixed 
	public API
	* System.Web.UI.Design/ControlDesigner.cs: fixed public API
	* System.Web.UI.Design/HtmlControlDesigner: fixed public API
	* System.Windows.Forms.Design/AnchorEditor.cs: fixed public 
	API, converted to unix linefeeds
	* System.Windows.Forms.Design/AxImporter.cs: fixed public 
	API, converted to unix linefeeds
	* System.Windows.Forms.Design/ComponentDocumentDesigner.cs: 
	fixed public API, converted to unix linefeeds
	* System.Windows.Forms.Design/SelectionRules.cs: implementation

2004-05-15  Gert Driesen (drieseng@users.sourceforge.net)
	
	* System.Windows.Forms.Design/FileNameEditor.cs: code formatting
	* System.Windows.Forms.Design/FolderNameEditor.cs: code formatting
	* System.Windows.Forms.Design/MenuCommands.cs: code formatting

2004-05-15  Gert Driesen (drieseng@users.sourceforge.net)

	* System.Design.dll.sources: remove MenusCommands, added
	MenuCommands
	* System.Web.UI.Design/ImageUrlEditor.cs: fixed warnings
	* System.Windows.Forms.Design/MenuCommands.cs: added impl
	* System.Windows.Forms.Design/MenusCommands.cs: removed,
	wrong name
	

2004-05-15  Gert Driesen (drieseng@users.sourceforge.net)

	* System.Windows.Forms.Design/FolderNameEditor.cs: 
	converted to unix linefeeds, marked class TODO, added Flags
	attribute to FolderBrowserStyles enum
	* System.Windows.Forms.Design/FileNameEditor.cs:
	completed stubs

2004-05-15  Gert Driesen (drieseng@users.sourceforge.net)
	
	* System.Windows.Forms.Design/FolderNameEditor.cs: added 
	stub

2003-12-15  Jackson Harper <jackson@ximian.com>

	* System.Design.dll.sources: Add *UrlEditor files to build
	
2003-10-20 Ben Maurer  <bmaurer@users.sourceforge.net>

	* .sources: lots-o-files

2003-07-07  Martin Willemoes Hansen <mwh@sysrq.dk>

	* System.Windows.Forms.Design/AnchorEditor.cs
	  System.Windows.Forms.Design/AxImporter.cs
	  System.Windows.Forms.Design/ComponentDocumentDesigner.cs
	  System.Windows.Forms.Design/ComponentTray.cs
	  System.Windows.Forms.Design/ControlDesigner.cs
	  System.Windows.Forms.Design/DocumentDesigner.cs
	  System.Windows.Forms.Design/FileNameEditor.cs
	  System.Windows.Forms.Design/IMenuEditorService.cs
	  System.Windows.Forms.Design/MenusCommands.cs
	  System.Windows.Forms.Design/ParentControlDesigner.cs
	  System.Windows.Forms.Design/ScrollableControlDesigner.cs
	  System.Windows.Forms.Design/SelectionRules.cs: Moved here 
	  from System.Windows.Forms assembly

2003-03-31  Alan Tam <Tam@SiuLung.com>

	* System.Design.build: added reference to System.Windows.Forms
	and System.Drawing assemblies

2003-03-29  Martin Willemoes Hansen

	* Stubed System.ComponentModel.Design

2003-03-27  Martin Willemoes Hansen

	* Added unix build environment

2002-12-11  Jeroen Janssen <japj@darius.demon.nl>
	
	* removed set for RootDesignerSerializerAttribute.TypeId
	* fixed .build file to include reference to System.dll

2002-09-16       Gaurav Vaish <gvaish_mono@lycos.com>

	* System.Web.UI.Design             : Added directory.

2002-12-09       Gaurav Vaish <gvaish_mono@lycos.com>

	* System.Design                    : Added directory.

2002-12-04    Alejandro Sánchez Acosta  <raciel@gnome.org>

	* System.ComponentModel.Design.Serialization: Added directory


2002-10-07       Gaurav Vaish <gvaish_mono@lycos.com>

	* System.Design.build              : Bug fix. Attribute is "basedir"
	                                     and not "bardir".

2002-09-16       Gaurav Vaish <gvaish_mono@lycos.com>

	* System.Web.UI.Design.WebControls : Added directory.
